routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ChildrenController;
use App\Http\Controllers\UserManagementController;
use App\Http\Controllers\GroupLearnersController;
use App\Http\Controllers\PersonController;
use App\Http\Controllers\ParentController;
use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::view('/', 'welcome', ["message" => "Hello!"]);

Route::middleware(['auth'])->group(function () {
    Route::prefix('profile')->group(
        function () {
            Route::get('/', [UserController::class, 'profile'])->name('profile');
            Route::post('/update', [UserController::class, 'update'])->name('profile.update');
        }
    );

    Route::resource('persons', PersonController::class);
    Route::resource('children', ChildrenController::class);
    Route::resource('parents', ParentController::class);
});

Route::middleware(['auth', 'admin.check'])->group(function () {
    Route::prefix('management')->group(
        function () {
            Route::resource('users', UserManagementController::class);
        }
    );
});

Route::middleware(['auth', 'employee.check'])->group(function () {
    Route::prefix('management')->group(
        function () {
            Route::resource('groupslearners', GroupLearnersController::class);
        }
    );
});

Auth::routes();


require __DIR__.'/auth.php';

app/Models/Family.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Person;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\SoftDeletes;

class Family extends Model
{
    use HasFactory;
    use SoftDeletes;

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'family';

    protected $fillable = ['name'];

    public function persons()
    {
        return $this->hasMany(Person::class, 'family_id', 'id');
    }

    public function getCreatedAtAttribute($value)
    {
        return Carbon::parse($value)->format("Y-m-d");
    }
}

resources/views/groups_learners/create.blade.php
@extends('adminlte::page')

@section('content')
    <form method="POST" action="{{ route('groupslearners.store') }}">
        @csrf
        <div class="row">
            <div class="col-md-12">
                <div class="card card-primary">
                    <div class="card-header">
                        <h3 class="card-title">Додавання нової групи </h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip"
                                    title="Collapse">
                                <i class="fas fa-minus"></i></button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="inputName">Назва групи</label>
                            <input type="text" name="name" id="inputName" class="form-control @error('name') is-invalid @enderror" value="{{old('name')}}">
                            @error('name')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="price">Ціна навчання, грн</label>
                            <input type="number" name="price_education" id="price_education" class="form-control @error('price_education') is-invalid @enderror" value="{{old('price_education') }}">
                            @error('price_education')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="price">Ціна харчування, грн</label>
                            <input type="number" name="price_food" id="price_food" class="form-control @error('price_food') is-invalid @enderror" value="{{old('price_food') }}">
                            @error('price_food')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <a href="#" class="btn btn-secondary">Скасувати</a>
                <input type="submit" value="Create" class="btn btn-success float-right">
            </div>
        </div>
    </form>
@stop

@section('js')
@stop

resources/views/groups_learners/edit.blade.php
@extends('adminlte::page')

@section('content')
    <form method="POST" action="{{ route('groupslearners.update', ["groupslearner" => $groupslearner->id]) }}">
        @method('PUT')
        @csrf
        <div class="row">
            <div class="col-md-12">
                <div class="card card-primary">
                    <div class="card-header">
                        <h3 class="card-title">Users Data</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip"
                                    title="Collapse">
                                <i class="fas fa-minus"></i></button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="inputName">Назва</label>
                            <input type="text" name="name" id="inputName" class="form-control @error('name') is-invalid @enderror" value="{{old('name') ?? $groupslearner->name }}">
                            @error('name')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="price">Ціна навчання, грн</label>
                            <input type="number" name="price_education" id="price_education" class="form-control @error('price_education') is-invalid @enderror" value="{{old('price_education') ?? $groupslearner->price_education }}">
                            @error('price_education')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="price">Ціна харчування, грн</label>
                            <input type="number" name="price_food" id="price_food" class="form-control @error('price_food') is-invalid @enderror" value="{{old('price_food') ?? $groupslearner->price_food }}">
                            @error('price_food')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <a href="#" class="btn btn-secondary">Cancel</a>
                <input type="submit" value="Save Changes" class="btn btn-success float-right">
            </div>
        </div>
    </form>
@stop

@section('js')
@stop

resources/views/groups_learners/index.blade.php
@extends('adminlte::page')

@section('content')
    <div class="row">
        @include('partials.alerts')
        <table id="groupsLearners" class="table table-bordered table-hover dataTable" role="grid"
               aria-describedby="example2_info">
            <thead>
            <tr role="row">
                <th class="sorting_asc" tabindex="0" aria-controls="example2" rowspan="1" colspan="1"
                    aria-sort="ascending">Назва
                </th>
                <th class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1">Ціна навчання, грн
                </th>
                <th class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1">Ціна харчування, грн
                </th>
                <th class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1">Дії
                </th>
            </tr>
            </thead>
            <tbody>
            @foreach($groupsLearners as $groupLearners)
            <tr role="row">
                <td>{{ $groupLearners->name }}</td>
                <td>{{ $groupLearners->price_education }}</td>
                <td>{{ $groupLearners->price_food }}</td>
                <td>
                    <table>
                        <a class="btn btn-primary btn-sm" href="{{ route('groupslearners.show', ["groupslearner" => $groupLearners->id]) }}">
                            <i class="far fa-eye">
                            </i>
                        </a>&ensp;
                        <a class="btn btn-info btn-sm" href="{{ route('groupslearners.edit', ["groupslearner" => $groupLearners->id]) }}">
                            <i class="fas fa-pencil-alt">
                            </i>
                        </a>&ensp;
                        <form method="POST" action="{{ route('groupslearners.destroy', ["groupslearner" => $groupLearners->id]) }}">
                            @method('DELETE')
                            @csrf
                            <button type="submit" class="btn btn-danger btn-sm">
                                <i class="fas fa-trash">
                                </i>
                            </button>
                        </form>
                    </table>
                </td>
            </tr>
            @endforeach
            </tbody>
            <tfoot>
        </table>
    </div>
@stop

@section('js')
    <script>
        $(function () {
            $('#groupsLearners').DataTable({
                "paging":       true,
                "lengthChange": false,
                "searching":    true,
                "ordering":     true,
                "info":         true,
                "autoWidth":    false,
                "language": {
                    "infoFiltered":   "(Відфільтровано _MAX_ записів)",
                    "zeroRecords":    "Записів не знайдено",
                    "info": "Показано з _START_ по _END_ записів з _TOTAL_",
                    "lengthMenu": "Показувати _MENU_ записів на сторінці",
                    "infoEmpty": "Немає записів.",
                    "search": "Пошук:",
                    "paginate": {
                        "first": "Перша",
                        "previous": "&laquo; Назад",
                        "last": "Остання",
                        "next": "Далі &raquo;"
                    }
                },
            });
        });
    </script>
@stop

resources/views/groups_learners/show.blade.php
@extends('adminlte::page')

@section('content')
    <div class="row">
        @include('partials.alerts')
        <div class="col-md-12">
        <div class="card">
            <div class="card-body box-profile">

                <h3 class="profile-username text-center">#{{ $groupslearner->id }} {{ $groupslearner->name }}</h3>

                <p class="text-muted text-center">{{ $groupslearner->price_education }}</p>

                <p class="text-muted text-center">{{ $groupslearner->price_food }}</p>

{{--                <ul class="list-group list-group-unbordered mb-3">--}}
{{--                    <li class="list-group-item">--}}
{{--                        <b>Person</b> <a class="float-right">@isset($user->person) {{ $user->person->surname }} @endisset</a>--}}
{{--                    </li>--}}
{{--                    <li class="list-group-item">--}}
{{--                        <b>Creation Date</b> <a class="float-right">{{$user->created_at}}</a>--}}
{{--                    </li>--}}
{{--                    <li class="list-group-item">--}}
{{--                        <b>Email Verified</b> <a class="float-right">{{$user->email_verified_at}}</a>--}}
{{--                    </li>--}}
{{--                </ul>--}}

                <a href="{{route('groupslearners.edit', ["groupslearner" => $groupslearner->id])}}" class="btn btn-primary btn-block"><b>Змінити</b></a>
            </div>
        </div>
        </div>
    </div>
@stop

@section('js')
@stop